Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 166927 - NullPointerException at org.netbeans.modules.java.editor.semantic.RemoveUnusedImportFix.implement
NullPointerException at org.netbeans.modules.java.editor.semantic.RemoveUnuse...
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Max Sauer
issues@java
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT 67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 16:32 UTC by martin_zmrhal
Modified: 2009-07-16 16:55 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (393 bytes, text/plain)
2009-06-11 16:32 UTC, martin_zmrhal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description martin_zmrhal 2009-06-11 16:32:39 UTC
Build: NetBeans IDE Dev (Build 200905201553)
VM: Java HotSpot(TM) Client VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Linux, 2.6.28-11-generic, i386

User Comments:
martin_zmrhal: Removing unused import

GUEST: an unused import has been removed

GUEST: Tried to removed unused import



Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.java.editor.semantic.RemoveUnusedImportFix.implement(RemoveUnusedImportFix.java:103)
        at org.netbeans.modules.editor.hints.HintsUI$1.run(HintsUI.java:573)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:577)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1030)
Comment 1 martin_zmrhal 2009-06-11 16:32:51 UTC
Created attachment 83451 [details]
stacktrace
Comment 2 Exceptions Reporter 2009-06-11 16:33:13 UTC
This issue already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=146336
Comment 3 Max Sauer 2009-06-15 13:37:54 UTC
Fixed.
---
http://hg.netbeans.org/jet-main/rev/46ef45edca64
Comment 4 Quality Engineering 2009-06-16 19:14:27 UTC
Integrated into 'main-golden', will be available in build *200906161401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/46ef45edca64
User: Max Sauer <msauer@netbeans.org>
Log: #166927: NPE at o.n.m.java.editor.semantic.RemoveUnusedImportFix.implement
Comment 5 Petr Blaha 2009-07-02 13:03:52 UTC
verified in the build 090702
Comment 6 pgebauer 2009-07-09 10:25:58 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/514b09895185
Comment 7 Jiri Prox 2009-07-16 16:55:21 UTC
v in 6.7.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo